> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List inference secrets



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v3/inference/{project_id}/secrets
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 2978be3a5492
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v3/inference/{project_id}/secrets:
    get:
      tags:
        - Everywhere Inference
      summary: List inference secrets
      operationId: InferenceSecretsHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceBoxSecretsSerializerList'
components:
  schemas:
    InferenceBoxSecretsSerializerList:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/InferenceBoxSecretsSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: InferenceBoxSecretsSerializerList
      type: object
    InferenceBoxSecretsSerializer:
      properties:
        data:
          $ref: '#/components/schemas/AwsIamData'
          description: Secret data.
          examples:
            - aws_access_key_id: fake-key-id
              aws_secret_access_key: fake-secret
        name:
          description: Secret name.
          example: aws-dev
          examples:
            - aws-dev
          minLength: 4
          title: Name
          type: string
        type:
          description: Secret type.
          example: aws-iam
          examples:
            - aws-iam
          title: Type
          type: string
      required:
        - name
        - type
        - data
      title: InferenceBoxSecretsSerializer
      type: object
    AwsIamData:
      properties:
        aws_access_key_id:
          description: AWS IAM key ID.
          example: fake-key-id
          examples:
            - fake-key-id
          title: Aws Access Key Id
          type: string
        aws_secret_access_key:
          description: AWS IAM secret key.
          example: fake-secret
          examples:
            - fake-secret
          title: Aws Secret Access Key
          type: string
      required:
        - aws_access_key_id
        - aws_secret_access_key
      title: AwsIamData
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````